import PropTypes from 'prop-types';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
var HEADING_TAGS = {
  h1: 'h1',
  h2: 'h2',
  h3: 'h3',
  h4: 'h4',
  h5: 'h5',
  h6: 'h6'
};
var Bullet = function Bullet(_ref) {
  var illustration = _ref.illustration,
    title = _ref.title,
    text = _ref.text,
    BASE_CLASS = _ref.baseClass,
    isString = _ref.isString,
    Heading = _ref.as;
  var ITEM_CLASS = BASE_CLASS + "-item";
  var ILLUSTRATION_CLASS = BASE_CLASS + "-illustration";
  var ILLUSTRATION_STRING_CLASS = BASE_CLASS + "-illustrationString";
  var INNER_CLASS = BASE_CLASS + "-inner";
  var TITLE_CLASS = BASE_CLASS + "-title";
  var TEXT_CLASS = BASE_CLASS + "-text";
  return /*#__PURE__*/_jsxs("div", {
    className: ITEM_CLASS,
    children: [isString && /*#__PURE__*/_jsx(Heading, {
      className: ILLUSTRATION_STRING_CLASS,
      children: illustration
    }), !isString && /*#__PURE__*/_jsx("img", {
      className: ILLUSTRATION_CLASS,
      src: illustration
    }), /*#__PURE__*/_jsxs("div", {
      className: INNER_CLASS,
      children: [title && /*#__PURE__*/_jsx(Heading, {
        className: TITLE_CLASS,
        children: title
      }), /*#__PURE__*/_jsx("p", {
        className: TEXT_CLASS,
        children: text
      })]
    })]
  });
};
Bullet.displayName = 'Bullet';
export { HEADING_TAGS as headingTags };
export default Bullet;