import _extends from "@babel/runtime/helpers/esm/extends";
import cx from 'classnames';
import PropTypes from 'prop-types';
import Bullet, { headingTags } from './bullet.js';
import { createElement as _createElement } from "react";
import { jsx as _jsx } from "react/jsx-runtime";
export var responsiveTypes = {
  responsive: 'responsive',
  responsiveBlock: 'responsiveBlock'
};
var BASE_CLASS = 'sui-ListBullet';
var ListBullet = function ListBullet(_ref) {
  var _cx;
  var listItems = _ref.listItems,
    responsive = _ref.responsive,
    smallFont = _ref.smallFont,
    isString = _ref.isString,
    _ref$as = _ref.as,
    Heading = _ref$as === void 0 ? headingTags.h2 : _ref$as;
  var listBulletClass = cx(BASE_CLASS, (_cx = {}, _cx[BASE_CLASS + "--" + responsive] = Boolean(responsive), _cx[BASE_CLASS + "--smallFont"] = smallFont, _cx));
  return /*#__PURE__*/_jsx("div", {
    className: listBulletClass,
    children: listItems && listItems.map(function (item, index) {
      return /*#__PURE__*/_createElement(Bullet, _extends({}, item, {
        isString: isString,
        key: index,
        baseClass: BASE_CLASS,
        as: Heading
      }));
    })
  });
};
ListBullet.displayName = 'ListBullet';
ListBullet.defaultProps = {
  responsive: false,
  smallFont: false
};
export { headingTags as titleListBulletTags };
export default ListBullet;